Class | Memcache::Base
In: | lib/memcache/base.rb
Parent: | Object

### Methods

add append cache_key cas clear decr gets incr prepend replace

### Attributes

prefix | [RW] |

### Public Instance methods

add(key, value, expiry = 0, flags = 0)
append(key, value)
cas(key, value, cas, expiry = 0, flags = 0)
clear()
decr(key, amount = 1)
gets(keys)

Default implementations based on get and set.

incr(key, amount = 1)
prepend(key, value)
replace(key, value, expiry = 0, flags = 0)

### Protected Instance methods

cache_key(key)

[Validate]